##############################################################
## MOD Title: Add a VIP code during registration
## MOD Author: Martin Aignesberger, http://www.aignes.com
## MOD Description: User has to enter a VIP-Code during registration, otherwise the registration fails.
##                  You can display such a VIP-Code for example on the support page of your website or in
##                  the About-Box of your application (then a spammer has to download and install your software first :)
## MOD Version: 1.1.1 - created for phpBB 2.0.21
##
##
## WARNING: - text strings and the VIP code are hardcoded, you have to change them directly in the code!
##
##
## Installation Level: (Easy)
## Installation Time: ~1 Minutes
## Files To Edit: includes/usercp_register.php
##                templates/subSilver/profile_add_body.tpl
## License: http://opensource.org/licenses/gpl-license.php GNU General Public License v2
##############################################################
## Author Notes:
## Works perfectly for me
##############################################################
## MOD History:
##   2006-08-11 - Version 1.0.0
##   2006-08-14 - Version 1.1.0 - VIP code works independently from visual confirmation
##   2006-08-14 - Version 1.1.1 - minor fixes
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
##############################################################

# 
#-----[ OPEN ]------------------------------------------
# 
	
includes/usercp_register.php


#
#-----[ FIND ]------------------------------------------
# 

		rawurlencode($website);
	}

# 
#-----[ AFTER, ADD ]------------------------------------------
#

// Start myVIPcode mod
        if ( ($mode == 'register') && ($HTTP_POST_VARS['myVIPcode'] != '2486') )
        {
           message_die(GENERAL_MESSAGE, 'Sorry, but your <b>VIP code</b> is NOT correct.<br><br>You can find a valid <b>VIP code</b> on the WebSite-Watcher Support page.');
        }
// End myVIPcode mod

#
#-----[ FIND ]------------------------------------------
# 

		$template->assign_block_vars('switch_confirm', array());
	}

# 
#-----[ AFTER, ADD ]------------------------------------------
#

// Start myVIPcode mod
        if ($mode == 'register')
	{
	   $template->assign_block_vars('switch_myvipcode', array());
	}
// End myVIPcode mod

# 
#-----[ OPEN ]------------------------------------------
# 

templates/subSilver/profile_add_body.tpl

#
#-----[ FIND ]------------------------------------------
#

	<!-- END switch_confirm -->

# 
#-----[ AFTER, ADD ]------------------------------------------
# 

        <!-- BEGIN switch_myvipcode -->
	<tr> 
	  <td class="row1"><span class="gen"><b>VIP code:</b> *</span><br />
		<span class="gensmall">You can find a valid <b>VIP code</b> on the WebSite-Watcher Support page!</span></td>
	  <td class="row2"> 
		<input type="text" class="post" style="width: 200px" name="myVIPcode" size="25" maxlength="32" value="" />
	  </td>
	</tr>
        <!-- END switch_myvipcode -->

#
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------
#
# EoM
